/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2021. All rights reserved.
 */

package com.huawei.agc.flutter.applinking.utils;

import java.util.Map;
import java.util.Objects;

public interface ValueGetter {
    String TAG = "ValueGetter";

    /**
     * Converts a AppLinking into a map.
     *
     * @param key: String key.
     * @param map: Map<String, Object>
     * @return map
     */
    static String getString(final String key, final Map map) {
        final Object value = Objects.requireNonNull(map.get(key));
        if (value instanceof String) {
            return (String) value;
        } else {
            throw new IllegalArgumentException();
        }
    }
}

