/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2021. All rights reserved.
 */

import 'package:flutter/services.dart';

class AppLinkingException implements Exception {
  final String code;
  final String message;
  final String _type;

  const AppLinkingException._({
    required this.code,
    required this.message,
    required String type,
  }) : _type = type;

  factory AppLinkingException.from(dynamic e) {
    if (e is AppLinkingException) {
      return e;
    } else {
      if (e is PlatformException) {
        return AppLinkingException._(
          code: e.code,
          message: e.message ?? 'Something went wrong.',
          type: Map<String, dynamic>.from(
                  e.details ?? <String, dynamic>{})['exceptionType'] ??
              'UnknownException',
        );
      } else {
        return AppLinkingException._(
          code: 'UNKNOWN',
          message: e is String ? e : 'Something went wrong.',
          type: 'PluginException',
        );
      }
    }
  }

  @override
  String toString() {
    return 'AppLinkingException(type:$_type code:$code message:$message)';
  }
}
