/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2021. All rights reserved.
 */

import 'dart:convert';

class ShortAppLinking {
  Uri? shortLink;
  Uri? testUrl;

  ShortAppLinking._({
    this.shortLink,
    this.testUrl,
  });

  Map<String, dynamic> toMap() {
    return {
      'shortLink': shortLink,
      'testUrl': testUrl,
    };
  }

  factory ShortAppLinking.fromMap(Map<dynamic, dynamic> map) {
    return ShortAppLinking._(
      shortLink: map["shortLink"] == null ? null : Uri.parse(map["shortLink"]),
      testUrl: map["testUrl"] == null ? null : Uri.parse(map["testUrl"]),
    );
  }

  String toJson() => json.encode(toMap());

  factory ShortAppLinking.fromJson(String source) =>
      ShortAppLinking.fromMap(json.decode(source));

  @override
  String toString() {
    return 'ShortAppLinking(shortLink: $shortLink, '
        'testUrl: $testUrl)';
  }
}
